Introduce setting for done ratio options interval
2019-07-19 13:17 - Edgar Z

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 6.0.0

Resolution: Fixed

Description

Hello,

| have a problem with done ratio. | want to add more % values like 5%, 15% etc., because i have more than 11 statuses.
Is there any possibility to do this?

Best Regards,
Elliot

Related issues:
Related to Redmine - Feature #373: Graphical slider for setting "% Done" field New

Associated revisions

Revision 22849 - 2024-05-29 17:06 - Go MAEDA

Introduce configuration for done ratio options interval (#31756).

Patch by Go MAEDA (@maeda).

Revision 22850 - 2024-05-29 17:11 - Go MAEDA
Update locales (#31756).

History

#1 - 2019-07-29 04:00 - Kevin Fischer

Currently not possible. The options are hardcoded into the Issue form.

Seems you would have to write a plugin for that yourself. (A simple Javascript script that replaces the options of the issue edit form select box should
do the trick)

#2 - 2019-07-29 05:37 - Bernhard Rohloff

Perhaps this is what you are looking for in the mean time...
https://github.com/guilhermenoronha/redmine_percent _done_configuration

#3 - 2019-10-06 06:00 - Mischa The Evil

OT but nevertheless:
Bernhard Rohloff wrote:

Perhaps this is what you are looking for in the mean time...
https://github.com/guilhermenoronha/redmine_percent_done_configuration

I don't think so. This plugin overrides /app/views/issues/_attributes.html.erb with a version that is last updated on the 30th of October 2013. That most
likely won't work at all or at least give a bunch of other problems with more recent Redmine releases.

Make sure you know what plugins you decide to use and always check their sources.

#4 - 2019-10-06 06:01 - Mischa The Evil
- Related to Feature #373: Graphical slider for setting "% Done" field added
#5 - 2024-01-30 08:18 - C S

+1 IMPORTANT!
| currently have the same problem!

#6 - 2024-05-09 04:26 - Uuganbayar Battulga

+1 IMPORTANT!
| currently have the same problem!

#7 - 2024-05-18 12:12 - Go MAEDA

- File 31756.patch added

- File clipboard-202405181901-wiu7n.png added
- File clipboard-202405181903-jqrt5.png added

- File 31756.patch added

| frequently receive requests from my customers to enter the done ratio in 5% increments, so | wrote a patch to implement this feature.
The attached patch allows admins to change the options in the done ratio select box to 5% increments.

clipboard-202405181901-wiu7n.png
clipboard-202405181903-jqrt5.png

#8 - 2024-05-18 12:27 - Go MAEDA
- File deleted (31756.patch)

#9 - 2024-05-18 16:14 - Go MAEDA
- File 31756-v2.patch added

Updated the patch in #note-7. The previous patch does not cover the bulk edit page.

#10 - 2024-05-24 09:32 - Go MAEDA

- Target version set to 6.0.0

Setting the target version to 6.0.0.

#11 - 2024-05-24 10:19 - Marius BALTEANU

| think we should make this configurable as a new administration setting available only when DONE_RATIO_OPTIONS is issue_field. If we add this
as a new option for DONE_RATIO_OPTIONS and we have some specific behaviour based on issue_field it will be necessary to check for both
options every time.

#12 - 2024-05-24 10:32 - Go MAEDA
Marius BALTEANU wrote in #note-11:

| think we should make this configurable as a new administration setting available only when DONE_RATIO_OPTIONS is issue_field.

Thank you for the comment. | will update the patch as such.

#13 - 2024-05-25 10:07 - Go MAEDA

- File clipboard-202405251652-mb5wtr.png added

- File clipboard-202405251653-psci6.png added

- File clipboard-202405251655-plcwg.png added

- File 31756-v3.patch added

Updated the patch.
e Added a new setting "Done ratio options step size"
e Supported the default done ratio of issue statues

e Supported the done ratio of fixing keywords of repository settings

The "Done ratio options step size" setting is enabled even when "Setting.issue_done_ratio” is “issue_status™ because the new setting has an effect on
the default done ratio of issue status.
#14 - 2024-05-28 19:35 - Marius BALTEANU

Looks good to me now!

#15 - 2024-05-29 17:09 - Go MAEDA

- Subject changed from Add more values to done ratio to Introduce configuration for done ratio options interval

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r22849.

A setting "Done ratio options interval" has been added in Administration > Settings > Issue tracking. You can choose "5 %" or "10 %" in the setting.

#16 - 2024-10-23 06:53 - Go MAEDA

- Subject changed from Introduce configuration for done ratio options interval to Introduce setting for done ratio options interval

Files

clipboard-202405181901-wiu7n.png
clipboard-202405181903-jqrt5.png
31756.patch

31756-v2.patch
clipboard-202405251652-mb5wtr.png
clipboard-202405251653-psci6.png
clipboard-202405251655-plcwg.png
31756-v3.patch

2025-05-17

158 KB
267 KB
3.24 KB
4.01 KB
82.5 KB
79.3 KB
46.7 KB
5.33 KB

2024-05-18
2024-05-18
2024-05-18
2024-05-18
2024-05-25
2024-05-25
2024-05-25
2024-05-25

Go MAEDA
Go MAEDA
Go MAEDA
Go MAEDA
Go MAEDA
Go MAEDA
Go MAEDA
Go MAEDA

3/3


https://www.redmine.org/projects/redmine/repository/svn/revisions/22849
http://www.tcpdf.org

